Re: nvda 2019.3 incompatible addons list

 

Hi,
Don't worry - my issue was use of outdated add-ons and claiming they are incompatible when in fact compatible versions exist. The good news is that more add-ons people are realizing that, before too long, they will feel the urgency to change, and for some, they'll realize this when it is too late. I myself am keeping a very close eye on it, and so is Quentin.
Cheers,
Joseph

-----Original Message-----
From: nvda@nvda.groups.io <nvda@nvda.groups.io> On Behalf Of Shaun Everiss
Sent: Saturday, November 30, 2019 10:54 PM
To: nvda@nvda.groups.io
Subject: Re: [nvda] nvda 2019.3 incompatible addons list

Again, joseph, I was not targeting you personally, you're not the problem,

You as community leader were first out of the gun its everyone else.

Well those that havn't checked in at any rate.

Of those, I assume a lot of them unless they have been under a rock know about this.

What may happen is we may have to see what happens on release and how many addons don't pop out.

I think inside the community we are pritty square with a lot of addons.

I repeat, you are not the problem, there may be a few that are either lerking or outside the list that don't keep up with events maybe they have missed stuff.

Everyone on the list that hasn't responded so far will be probably be working on things.

I do know not everyone speaks here.



On 1/12/2019 7:39 pm, Joseph Lee wrote:
HI,
Actually, ObjPad is compatible, too - since a few months ago. I guarantee that all my add-ons (except Screen Curtain) are NVDA 2019.3 ready - some are already gearing for future of Python.
Cheers,
Joseph P.S. Apologies for rapid-fire posts.

-----Original Message-----
From: nvda@nvda.groups.io <nvda@nvda.groups.io> On Behalf Of Joseph
Lee via Groups.Io
Sent: Saturday, November 30, 2019 10:34 PM
To: nvda@nvda.groups.io
Subject: Re: [nvda] nvda 2019.3 incompatible addons list

Hi,
I strongly advise running your tests again AFTER updating ALL of these add-ons. I'm happy and disappointed to find that one of my own add-ons is listed in there, especially an outdated version (I don't want to sound rude, but Enhanced Touch Gestures has been compatible since September).
Cheers,
Joseph

-----Original Message-----
From: nvda@nvda.groups.io <nvda@nvda.groups.io> On Behalf Of Shaun
Everiss
Sent: Saturday, November 30, 2019 10:29 PM
To: nvda@nvda.groups.io
Subject: [nvda] nvda 2019.3 incompatible addons list

Hi note, this is a list of addons that are not compatible at all at least from the manafests and were tried on a lot of packages.

These are not all addons, some I know have been released, some of these are being worked on and I have allready notified the author of one of them privately.

Excluding the addon I have talked about here is the list.

Note, I think enhanced touch gestures is compatible now.

teamtalk fixes 0.98 found on bareware website.
emoticons 11.0
report symbols 4.8
enhancedTouchGestures-19.05.1
addonsHelp-2.0
ImageDescriber-1.2.1
Mozilla-1.7
dropbox-4.3
objPad-16.12
IfInterpreters-1.1
teamViewer-2.2
Note I have not updated these in a while as I don't use some of them.

I do wander if addons documentation could be included in core help menu.

The if interpriters would be nice to.











Join nvda@nvda.groups.io to automatically receive all group messages.